Snapservice Sites get

Snapservice Sites get

Returns information about a site.

This operation was added in vSphere API 9.0.0.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires VsanDP.Replication.com.vmware.vsan.snapshotservice.Site.View.
Request
URI
GET
https://{host}/api/snapservice/sites/{site}
COPY
Path Parameters
string
site
Required

Site identifier.

The parameter must be an identifier for the resource type: com.vmware.snapservice.site.


Authentication
This operation uses the following authentication methods.
Responses
200

Information about the specified site.

Returns Snapservice Sites Info of type(s) application/json
{
    "name": "string",
    "local": false,
    "vcenter_info": {
        "name": "string",
        "host": "string",
        "port": 0,
        "vcenter": "string"
    },
    "pairing_infos": [
        {
            "site": "string",
            "connection_state": {
                "connection_status": "string",
                "errors": [
                    {
                        "messages": [
                            {
                                "id": "string",
                                "default_message": "string",
                                "args": [
                                    "string"
                                ],
                                "params": {
                                    "params": {
                                        "s": "string",
                                        "dt": "string",
                                        "i": 0,
                                        "d": "number",
                                        "l": {
                                            "id": "string",
                                            "params": {
                                                "params": "Vapi Std LocalizationParam Object"
                                            }
                                        },
                                        "format": "string",
                                        "precision": 0
                                    }
                                },
                                "localized": "string"
                            }
                        ]
                    }
                ],
                "warnings": [
                    {
                        "messages": [
                            {
                                "id": "string",
                                "default_message": "string",
                                "args": [
                                    "string"
                                ],
                                "params": {
                                    "params": {
                                        "s": "string",
                                        "dt": "string",
                                        "i": 0,
                                        "d": "number",
                                        "l": "Vapi Std NestedLocalizableMessage Object",
                                        "format": "string",
                                        "precision": 0
                                    }
                                },
                                "localized": "string"
                            }
                        ]
                    }
                ]
            },
            "services": [
                {
                    "id": "string",
                    "type": "string",
                    "name": "string",
                    "url": "string",
                    "connection_state": {
                        "connection_status": "string",
                        "errors": [
                            {
                                "messages": [
                                    {
                                        "id": "string",
                                        "default_message": "string",
                                        "args": [
                                            "string"
                                        ],
                                        "params": {
                                            "params": {
                                                "s": "string",
                                                "dt": "string",
                                                "i": 0,
                                                "d": "number",
                                                "l": "Vapi Std NestedLocalizableMessage Object",
                                                "format": "string",
                                                "precision": 0
                                            }
                                        },
                                        "localized": "string"
                                    }
                                ]
                            }
                        ],
                        "warnings": [
                            {
                                "messages": [
                                    {
                                        "id": "string",
                                        "default_message": "string",
                                        "args": [
                                            "string"
                                        ],
                                        "params": {
                                            "params": {
                                                "s": "string",
                                                "dt": "string",
                                                "i": 0,
                                                "d": "number",
                                                "l": "Vapi Std NestedLocalizableMessage Object",
                                                "format": "string",
                                                "precision": 0
                                            }
                                        },
                                        "localized": "string"
                                    }
                                ]
                            }
                        ]
                    }
                }
            ]
        }
    ],
    "services": [
        {
            "id": "string",
            "type": "string",
            "name": "string",
            "url": "string",
            "connection_state": {
                "connection_status": "string",
                "errors": [
                    {
                        "messages": [
                            {
                                "id": "string",
                                "default_message": "string",
                                "args": [
                                    "string"
                                ],
                                "params": {
                                    "params": {
                                        "s": "string",
                                        "dt": "string",
                                        "i": 0,
                                        "d": "number",
                                        "l": "Vapi Std NestedLocalizableMessage Object",
                                        "format": "string",
                                        "precision": 0
                                    }
                                },
                                "localized": "string"
                            }
                        ]
                    }
                ],
                "warnings": [
                    {
                        "messages": [
                            {
                                "id": "string",
                                "default_message": "string",
                                "args": [
                                    "string"
                                ],
                                "params": {
                                    "params": {
                                        "s": "string",
                                        "dt": "string",
                                        "i": 0,
                                        "d": "number",
                                        "l": "Vapi Std NestedLocalizableMessage Object",
                                        "format": "string",
                                        "precision": 0
                                    }
                                },
                                "localized": "string"
                            }
                        ]
                    }
                ]
            }
        }
    ],
    "in_use": false
}
string
name
Required

Name of the site.

This property was added in vSphere API 9.0.0.0.

boolean
local
Required

Indicates whether or not a site is local. The current logged-in site is considered to be local site.

This property was added in vSphere API 9.0.0.0.

vcenter_info
Required

Information of vCenter for the site.

This property was added in vSphere API 9.0.0.0.

array of object
pairing_infos
Required

Pairing details for the site.

This property was added in vSphere API 9.0.0.0.

array of object
services
Required

List of services for the site.

This property was added in vSphere API 9.0.0.0.

boolean
in_use
Required

Site is in use for replication.

This property was added in vSphere API 9.0.0.0.


400

Vapi Std Errors InvalidArgument If validation of the site fails.

Vapi Std Errors Unsupported If the API is not supported.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


401

If the caller is not authenticated.

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


403

If the caller is not authorized to perform the operation.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


404

if the site is not found.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

500

If there is unknown internal error.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


503

if the system is unable to communicate with a service to complete the request.

Returns Vapi Std Errors ServiceUnavailable of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/snapservice/sites/{site}